Package net.sourceforge.chart2d

# Class GraphChart2DProperties

java.lang.Object
net.sourceforge.chart2d.GraphChart2DProperties

public final class GraphChart2DProperties extends Object
A data structure for holding the properties common to all GraphChart2D objects. A GraphChart2D objects has axes and one or more overlaid graphs. Pass this to any number of GraphChart2D objects.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `BETWEEN`
  Indicates the ticks of an axis should be centered between the labels of the axis.
  `static final int`
  `CENTERED`
  Indicates the ticks of an axis should be centered on each label of the axis.
  `static final float`
  `CHART_DATASET_CUSTOM_GREATEST_VALUE_DEFAULT`
  The default is 0.
  `static final float`
  `CHART_DATASET_CUSTOM_LEAST_VALUE_DEFAULT`
  The default is 0.
  `static final boolean`
  `CHART_DATASET_CUSTOMIZE_GREATEST_VALUE_DEFAULT`
  The default is false.
  `static final boolean`
  `CHART_DATASET_CUSTOMIZE_LEAST_VALUE_DEFAULT`
  The default is false.
  `static final float`
  `CHART_GRAPHABLE_TO_AVAILABLE_RATIO_DEFAULT`
  The default is .95f.
  `static final boolean`
  `GRAPH_COMPONENTS_COLORING_BY_CAT_DEFAULT`
  The default is false.
  `static final MultiColorsProperties`
  `GRAPH_COMPONENTS_COLORS_BY_CAT_DEFAULT`
  The default is null.
  `static final boolean`
  `LABELS_AXIS_BETWEEN_LABELS_AND_TICKS_GAP_EXISTENCE_DEFAULT`
  The default is true.
  `static final int`
  `LABELS_AXIS_BETWEEN_LABELS_AND_TICKS_GAP_THICKNESS_MODEL_DEFAULT`
  The default is 3.
  `static final boolean`
  `LABELS_AXIS_BETWEEN_LABELS_OR_TICKS_GAP_EXISTENCE_DEFAULT`
  The default is true.
  `static final int`
  `LABELS_AXIS_BETWEEN_LABELS_OR_TICKS_GAP_THICKNESS_MODEL_DEFAULT`
  The default is 3.
  `static final boolean`
  `LABELS_AXIS_EXISTENCE_DEFAULT`
  The default is true.
  `static final Color`
  `LABELS_AXIS_LABELS_FONT_COLOR_DEFAULT`
  The default is Color.black.
  `static final String`
  `LABELS_AXIS_LABELS_FONT_NAME_DEFAULT`
  The default is "SansSerif".
  `static final int`
  `LABELS_AXIS_LABELS_FONT_POINT_MODEL_DEFAULT`
  The default is 10.
  `static final int`
  `LABELS_AXIS_LABELS_FONT_STYLE_DEFAULT`
  The default is Font.PLAIN.
  `static final String[]`
  `LABELS_AXIS_LABELS_TEXTS_DEFAULT`
  The default is String[0].
  `static final int`
  `LABELS_AXIS_TICKS_ALIGNMENT_DEFAULT`
  The default is BETWEEN.
  `static final Color`
  `LABELS_AXIS_TICKS_COLOR_DEFAULT`
  The default is Color.black.
  `static final boolean`
  `LABELS_AXIS_TICKS_EXISTENCE_DEFAULT`
  The default is true.
  `static final Color`
  `LABELS_AXIS_TICKS_OUTLINE_COLOR_DEFAULT`
  The default is Color.black.
  `static final boolean`
  `LABELS_AXIS_TICKS_OUTLINE_EXISTENCE_DEFAULT`
  The default is false.
  `static final Dimension`
  `LABELS_AXIS_TICKS_SIZE_MODEL_DEFAULT`
  The default is Dimension (3, 3).
  `static final boolean`
  `LABELS_AXIS_TITLE_BETWEEN_REST_GAP_EXISTENCE_DEFAULT`
  The default is true.
  `static final int`
  `LABELS_AXIS_TITLE_BETWEEN_REST_GAP_THICKNESS_MODEL_DEFAULT`
  The default is 3.
  `static final boolean`
  `LABELS_AXIS_TITLE_EXISTENCE_DEFAULT`
  The default is true.
  `static final Color`
  `LABELS_AXIS_TITLE_FONT_COLOR_DEFAULT`
  The default is Color.black.
  `static final String`
  `LABELS_AXIS_TITLE_FONT_NAME_DEFAULT`
  The default is "SansSerif".
  `static final int`
  `LABELS_AXIS_TITLE_FONT_POINT_MODEL_DEFAULT`
  The default is 11.
  `static final int`
  `LABELS_AXIS_TITLE_FONT_STYLE_DEFAULT`
  The default is Font.PLAIN.
  `static final String`
  `LABELS_AXIS_TITLE_TEXT_DEFAULT`
  The default is "".
  `static final boolean`
  `NUMBERS_AXIS_BETWEEN_LABELS_AND_TICKS_GAP_EXISTENCE_DEFAULT`
  The default is true.
  `static final int`
  `NUMBERS_AXIS_BETWEEN_LABELS_AND_TICKS_GAP_THICKNESS_MODEL_DEFAULT`
  The default is 3.
  `static final boolean`
  `NUMBERS_AXIS_BETWEEN_LABELS_OR_TICKS_GAP_EXISTENCE_DEFAULT`
  The default is true.
  `static final int`
  `NUMBERS_AXIS_BETWEEN_LABELS_OR_TICKS_GAP_THICKNESS_MODEL_DEFAULT`
  The default is 3.
  `static final Color`
  `NUMBERS_AXIS_LABELS_FONT_COLOR_DEFAULT`
  The default is Color.black.
  `static final String`
  `NUMBERS_AXIS_LABELS_FONT_NAME_DEFAULT`
  The default is "SansSerif".
  `static final int`
  `NUMBERS_AXIS_LABELS_FONT_POINT_MODEL_DEFAULT`
  The default is 10.
  `static final int`
  `NUMBERS_AXIS_LABELS_FONT_STYLE_DEFAULT`
  The default is Font.PLAIN.
  `static final int`
  `NUMBERS_AXIS_NUM_LABELS_DEFAULT`
  The default is 7.
  `static final Color`
  `NUMBERS_AXIS_TICKS_COLOR_DEFAULT`
  The default is Color.black.
  `static final boolean`
  `NUMBERS_AXIS_TICKS_EXISTENCE_DEFAULT`
  The default is true.
  `static final Color`
  `NUMBERS_AXIS_TICKS_OUTLINE_COLOR_DEFAULT`
  The default is Color.black.
  `static final boolean`
  `NUMBERS_AXIS_TICKS_OUTLINE_EXISTENCE_DEFAULT`
  The default is false.
  `static final Dimension`
  `NUMBERS_AXIS_TICKS_SIZE_MODEL_DEFAULT`
  The default is Dimension (3, 3).
  `static final boolean`
  `NUMBERS_AXIS_TITLE_BETWEEN_REST_GAP_EXISTENCE_DEFAULT`
  The default is true.
  `static final int`
  `NUMBERS_AXIS_TITLE_BETWEEN_REST_GAP_THICKNESS_MODEL_DEFAULT`
  The default is 3.
  `static final boolean`
  `NUMBERS_AXIS_TITLE_EXISTENCE_DEFAULT`
  The default is true.
  `static final Color`
  `NUMBERS_AXIS_TITLE_FONT_COLOR_DEFAULT`
  The default is Color.black.
  `static final String`
  `NUMBERS_AXIS_TITLE_FONT_NAME_DEFAULT`
  The default is "SansSerif".
  `static final int`
  `NUMBERS_AXIS_TITLE_FONT_POINT_MODEL_DEFAULT`
  The default is 11.
  `static final int`
  `NUMBERS_AXIS_TITLE_FONT_STYLE_DEFAULT`
  The default is Font.PLAIN.
  `static final String`
  `NUMBERS_AXIS_TITLE_TEXT_DEFAULT`
  The default is "".

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GraphChart2DProperties()`
  Creates a GraphChart2DProperties object with the documented default values.
  `GraphChart2DProperties(GraphChart2DProperties graphChart2DProps)`
  Creates a GraphChart2DProperties object with property values copied from another object.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final float`
  `getChartDatasetCustomGreatestValue()`
  Gets the custom greatest value of the data sets.
  `final boolean`
  `getChartDatasetCustomizeGreatestValue()`
  Gets whether the true greatest value in the data sets will be substituted by the custom value.
  `final boolean`
  `getChartDatasetCustomizeLeastValue()`
  Gets whether the true least value in the data sets will be substituted by the custom value.
  `final float`
  `getChartDatasetCustomLeastValue()`
  Gets the custom least value of the data sets.
  `float`
  `getChartGraphableToAvailableRatio()`
  Gets how much of the chart's graph is used by the graph's components.
  `final boolean`
  `getGraphComponentsColoringByCat()`
  Gets whether the graph components have different colors across sets (or across cats).
  `final MultiColorsProperties`
  `getGraphComponentsColorsByCat()`
  Sets the color properties for the colors by cat coloring.
  `final boolean`
  `getLabelsAxisBetweenLabelsAndTicksGapExistence()`
  Gets whether a gap between the labels and ticks exists, vertically.
  `final int`
  `getLabelsAxisBetweenLabelsAndTicksGapThicknessModel()`
  Gets the thickness of the gap between the labels and ticks, vertically, for the chart's model size.
  `final boolean`
  `getLabelsAxisBetweenLabelsOrTicksGapExistence()`
  Gets whether a gap between the labels or ticks exists, horizontally.
  `final int`
  `getLabelsAxisBetweenLabelsOrTicksGapThicknessModel()`
  Gets the thickness of the gap between the labels or ticks, horizontally, for the chart's model size.
  `final boolean`
  `getLabelsAxisExistence()`
  Gets the existence of the labels axis.
  `final Color`
  `getLabelsAxisLabelsFontColor()`
  Gets the color of the font of the labels of the labels axis.
  `final String`
  `getLabelsAxisLabelsFontName()`
  Gets the name of the font of the labels of the labels axis.
  `final int`
  `getLabelsAxisLabelsFontPointModel()`
  Gets the point of the font of the labels axis labels for the chart's model size.
  `final int`
  `getLabelsAxisLabelsFontStyle()`
  Gets the style of the font of the labels axis labels.
  `final String[]`
  `getLabelsAxisLabelsTexts()`
  Gets the text of each labels axis label.
  `final int`
  `getLabelsAxisTicksAlignment()`
  Gets the placement of the ticks on the labels axis.
  `final Color`
  `getLabelsAxisTicksColor()`
  Gets the color of the labels axis ticks.
  `final boolean`
  `getLabelsAxisTicksExistence()`
  Gets whether there exists ticks along the labels axis.
  `final Color`
  `getLabelsAxisTicksOutlineColor()`
  Gets the color of the thin line that outlines the labels axis ticks.
  `final boolean`
  `getLabelsAxisTicksOutlineExistence()`
  Gets whether a thin line outlines the labels axis ticks.
  `final Dimension`
  `getLabelsAxisTicksSizeModel()`
  Gets the size of the labels axis ticks for the chart's model size.
  `final boolean`
  `getLabelsAxisTitleBetweenRestGapExistence()`
  Gets whether the gap above the labels axis title exists.
  `final int`
  `getLabelsAxisTitleBetweenRestGapThicknessModel()`
  Gets the thickness of the gap above the labels axis title for the chart's model size.
  `final boolean`
  `getLabelsAxisTitleExistence()`
  Gets whether the title of the labels axis exists.
  `final Color`
  `getLabelsAxisTitleFontColor()`
  Gets the color of the font of the labels axis title.
  `final String`
  `getLabelsAxisTitleFontName()`
  Gets the name of the font of the labels axis title.
  `final int`
  `getLabelsAxisTitleFontPointModel()`
  Gets the font point of the labels axis title for the chart's model size.
  `final int`
  `getLabelsAxisTitleFontStyle()`
  Gets the style of teh font of the labels axis title.
  `final String`
  `getLabelsAxisTitleText()`
  Gets the text of the title of the labels axis.
  `final boolean`
  `getNumbersAxisBetweenLabelsAndTicksGapExistence()`
  Gets whether a gap between the labels and ticks exists, horizontally.
  `final int`
  `getNumbersAxisBetweenLabelsAndTicksGapThicknessModel()`
  Gets the thickness of the gap between the labels and ticks, horizontally, for the chart's model size.
  `final boolean`
  `getNumbersAxisBetweenLabelsOrTicksGapExistence()`
  Gets whether a gap between the labels or ticks exists, vertically.
  `final int`
  `getNumbersAxisBetweenLabelsOrTicksGapThicknessModel()`
  Gets the thickness of the gap between the labels or ticks, vertically, for the chart's model size.
  `final Color`
  `getNumbersAxisLabelsFontColor()`
  Gets the color of the font of the labels of the numbers axis.
  `final String`
  `getNumbersAxisLabelsFontName()`
  Gets the name of the font of the labels of the numbers axis.
  `final int`
  `getNumbersAxisLabelsFontPointModel()`
  Gets the point of the font of the numbers axis labels for the chart's model size.
  `final int`
  `getNumbersAxisLabelsFontStyle()`
  Gets the style of the font of the numbers axis labels.
  `final int`
  `getNumbersAxisNumLabels()`
  Gets the number of labels in the numbers axis.
  `final Color`
  `getNumbersAxisTicksColor()`
  Gets the color of the numbers axis ticks.
  `final boolean`
  `getNumbersAxisTicksExistence()`
  Gets whether there exists ticks along the numbers axis.
  `final Color`
  `getNumbersAxisTicksOutlineColor()`
  Gets the color of the thin line that outlines the numbers axis ticks.
  `final boolean`
  `getNumbersAxisTicksOutlineExistence()`
  Gets whether a thin line outlines the numbers axis ticks.
  `final Dimension`
  `getNumbersAxisTicksSizeModel()`
  Gets the size of the numbers axis ticks for the chart's model size.
  `final boolean`
  `getNumbersAxisTitleBetweenRestGapExistence()`
  Gets whether the gap right of the numbers axis title exists.
  `final int`
  `getNumbersAxisTitleBetweenRestGapThicknessModel()`
  Gets the thickness of the gap right of the numbers axis title for the chart's model size.
  `final boolean`
  `getNumbersAxisTitleExistence()`
  Gets whether the title of the numbers axis exists.
  `final Color`
  `getNumbersAxisTitleFontColor()`
  Gets the color of the font of the numbers axis title.
  `final String`
  `getNumbersAxisTitleFontName()`
  Gets the name of the font of the numbers axis title.
  `final int`
  `getNumbersAxisTitleFontPointModel()`
  Gets the font point of the numbers axis title for the chart's model size.
  `final int`
  `getNumbersAxisTitleFontStyle()`
  Gets the style of teh font of the numbers axis title.
  `final String`
  `getNumbersAxisTitleText()`
  Gets the text of the title of the numbers axis.
  `final boolean`
  `isFontNameExists(String name)`
  Returns true if the font name exists in the graphics enviornment.
  `final void`
  `setChartDatasetCustomGreatestValue(float value)`
  Sets the custom greatest value of the data sets.
  `final void`
  `setChartDatasetCustomizeGreatestValue(boolean customize)`
  Sets whether the true greatest value in the data sets will be substituted by the custom value.
  `final void`
  `setChartDatasetCustomizeLeastValue(boolean customize)`
  Sets whether the true least value in the data sets will be substituted by the custom value.
  `final void`
  `setChartDatasetCustomLeastValue(float value)`
  Sets the custom least value of the data sets.
  `final void`
  `setChartGraphableToAvailableRatio(float ratio)`
  Sets how much of the chart's graph is used by the graph's components.
  `final void`
  `setGraphChart2DProperties(GraphChart2DProperties graphChart2DProps)`
  Sets all properties to be the values of another GraphChart2DProperties object.
  `final void`
  `setGraphChart2DPropertiesToDefaults()`
  Sets all properties to their default values.
  `final void`
  `setGraphComponentsColoringByCat(boolean b)`
  Sets whether the graph components have different colors across sets (or across cats).
  `final void`
  `setGraphComponentsColorsByCat(MultiColorsProperties props)`
  Sets the color properties for the colors by cat coloring.
  `final void`
  `setLabelsAxisBetweenLabelsAndTicksGapExistence(boolean existence)`
  Sets whether a gap between the labels and ticks exists, between.
  `final void`
  `setLabelsAxisBetweenLabelsAndTicksGapThicknessModel(int thickness)`
  Sets the thickness of the gap between the labels and ticks, between, for the chart's model size.
  `final void`
  `setLabelsAxisBetweenLabelsOrTicksGapExistence(boolean existence)`
  Sets whether a gap between the labels or ticks exists, across.
  `final void`
  `setLabelsAxisBetweenLabelsOrTicksGapThicknessModel(int thickness)`
  Sets the thickness of the gap between the labels or ticks, across, for the chart's model size.
  `final void`
  `setLabelsAxisExistence(boolean existence)`
  Sets the existence of the labels axis.
  `final void`
  `setLabelsAxisLabelsFontColor(Color color)`
  Sets the color of the font of the labels of the labels axis.
  `final void`
  `setLabelsAxisLabelsFontName(String name)`
  Sets the name of the font of the labels of the labels axis.
  `final void`
  `setLabelsAxisLabelsFontPointModel(int point)`
  Sets the point of the font of the labels axis labels for the chart's model size.
  `final void`
  `setLabelsAxisLabelsFontStyle(int style)`
  Sets the style of the font of the labels axis labels.
  `final void`
  `setLabelsAxisLabelsTexts(String[] texts)`
  Sets the text of each labels axis label.
  `final void`
  `setLabelsAxisTicksAlignment(int alignment)`
  Sets the placement of the ticks on the labels axis.
  `final void`
  `setLabelsAxisTicksColor(Color color)`
  Sets the color of the labels axis ticks.
  `final void`
  `setLabelsAxisTicksExistence(boolean existence)`
  Sets whether there exists ticks along the labels axis.
  `final void`
  `setLabelsAxisTicksOutlineColor(Color color)`
  Sets the color of the thin line that outlines the labels axis ticks.
  `final void`
  `setLabelsAxisTicksOutlineExistence(boolean existence)`
  Sets whether a thin line outlines the labels axis ticks.
  `final void`
  `setLabelsAxisTicksSizeModel(Dimension size)`
  Sets the size of the labels axis ticks for the chart's model size.
  `final void`
  `setLabelsAxisTitleBetweenRestGapExistence(boolean existence)`
  Sets whether the gap above the labels axis title exists.
  `final void`
  `setLabelsAxisTitleBetweenRestGapThicknessModel(int thickness)`
  Sets the thickness of the gap above the labels axis title for the chart's model size.
  `final void`
  `setLabelsAxisTitleExistence(boolean existence)`
  Sets whether the title of the labels axis exists.
  `final void`
  `setLabelsAxisTitleFontColor(Color color)`
  Sets the color of the font of the labels axis title.
  `final void`
  `setLabelsAxisTitleFontName(String name)`
  Sets the name of the font of the labels axis title.
  `final void`
  `setLabelsAxisTitleFontPointModel(int point)`
  Sets the font point of the labels axis title for the chart's model size.
  `final void`
  `setLabelsAxisTitleFontStyle(int style)`
  Sets the style of teh font of the labels axis title.
  `final void`
  `setLabelsAxisTitleText(String text)`
  Sets the text of the title of the labels axis.
  `final void`
  `setNumbersAxisBetweenLabelsAndTicksGapExistence(boolean existence)`
  Sets whether a gap between the labels and ticks exists, horizontally.
  `final void`
  `setNumbersAxisBetweenLabelsAndTicksGapThicknessModel(int thickness)`
  Sets the thickness of the gap between the labels and ticks, horizontally, for the chart's model size.
  `final void`
  `setNumbersAxisBetweenLabelsOrTicksGapExistence(boolean existence)`
  Sets whether a gap between the labels or ticks exists, vertically.
  `final void`
  `setNumbersAxisBetweenLabelsOrTicksGapThicknessModel(int thickness)`
  Sets the thickness of the gap between the labels or ticks, vertically, for the chart's model size.
  `final void`
  `setNumbersAxisLabelsFontColor(Color color)`
  Sets the color of the font of the labels of the numbers axis.
  `final void`
  `setNumbersAxisLabelsFontName(String name)`
  Sets the name of the font of the labels of the numbers axis.
  `final void`
  `setNumbersAxisLabelsFontPointModel(int point)`
  Sets the point of the font of the numbers axis labels for the chart's model size.
  `final void`
  `setNumbersAxisLabelsFontStyle(int style)`
  Sets the style of the font of the numbers axis labels.
  `final void`
  `setNumbersAxisNumLabels(int num)`
  Sets the number of labels in the numbers axis.
  `final void`
  `setNumbersAxisTicksColor(Color color)`
  Sets the color of the numbers axis ticks.
  `final void`
  `setNumbersAxisTicksExistence(boolean existence)`
  Sets whether there exists ticks along the numbers axis.
  `final void`
  `setNumbersAxisTicksOutlineColor(Color color)`
  Sets the color of the thin line that outlines the numbers axis ticks.
  `final void`
  `setNumbersAxisTicksOutlineExistence(boolean existence)`
  Sets whether a thin line outlines the numbers axis ticks.
  `final void`
  `setNumbersAxisTicksSizeModel(Dimension size)`
  Sets the size of the numbers axis ticks for the chart's model size.
  `final void`
  `setNumbersAxisTitleBetweenRestGapExistence(boolean existence)`
  Sets whether the gap right of the numbers axis title exists.
  `final void`
  `setNumbersAxisTitleBetweenRestGapThicknessModel(int thickness)`
  Sets the thickness of the gap right of the numbers axis title for the chart's model size.
  `final void`
  `setNumbersAxisTitleExistence(boolean existence)`
  Sets whether the title of the numbers axis exists.
  `final void`
  `setNumbersAxisTitleFontColor(Color color)`
  Sets the color of the font of the numbers axis title.
  `final void`
  `setNumbersAxisTitleFontName(String name)`
  Sets the name of the font of the numbers axis title.
  `final void`
  `setNumbersAxisTitleFontPointModel(int point)`
  Sets the font point of the numbers axis title for the chart's model size.
  `final void`
  `setNumbersAxisTitleFontStyle(int style)`
  Sets the style of teh font of the numbers axis title.
  `final void`
  `setNumbersAxisTitleText(String text)`
  Sets the text of the title of the numbers axis.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### CENTERED

    public static final int CENTERED
    Indicates the ticks of an axis should be centered on each label of the axis. Used by setLabelsAxisTicksAlignment (int).
    See Also:
      - Constant Field Values

  - ### BETWEEN

    public static final int BETWEEN
    Indicates the ticks of an axis should be centered between the labels of the axis. Used by setLabelsAxisTicksAlignment (int).
    See Also:
      - Constant Field Values

  - ### CHART_DATASET_CUSTOMIZE_GREATEST_VALUE_DEFAULT

    public static final boolean CHART_DATASET_CUSTOMIZE_GREATEST_VALUE_DEFAULT
    The default is false.
    See Also:
      - Constant Field Values

  - ### CHART_DATASET_CUSTOM_GREATEST_VALUE_DEFAULT

    public static final float CHART_DATASET_CUSTOM_GREATEST_VALUE_DEFAULT
    The default is 0.
    See Also:
      - Constant Field Values

  - ### CHART_DATASET_CUSTOMIZE_LEAST_VALUE_DEFAULT

    public static final boolean CHART_DATASET_CUSTOMIZE_LEAST_VALUE_DEFAULT
    The default is false.
    See Also:
      - Constant Field Values

  - ### CHART_DATASET_CUSTOM_LEAST_VALUE_DEFAULT

    public static final float CHART_DATASET_CUSTOM_LEAST_VALUE_DEFAULT
    The default is 0.
    See Also:
      - Constant Field Values

  - ### CHART_GRAPHABLE_TO_AVAILABLE_RATIO_DEFAULT

    public static final float CHART_GRAPHABLE_TO_AVAILABLE_RATIO_DEFAULT
    The default is .95f.
    See Also:
      - Constant Field Values

  - ### NUMBERS_AXIS_NUM_LABELS_DEFAULT

    public static final int NUMBERS_AXIS_NUM_LABELS_DEFAULT
    The default is 7.
    See Also:
      - Constant Field Values

  - ### LABELS_AXIS_EXISTENCE_DEFAULT

    public static final boolean LABELS_AXIS_EXISTENCE_DEFAULT
    The default is true.
    See Also:
      - Constant Field Values

  - ### LABELS_AXIS_TICKS_ALIGNMENT_DEFAULT

    public static final int LABELS_AXIS_TICKS_ALIGNMENT_DEFAULT
    The default is BETWEEN.
    See Also:
      - Constant Field Values

  - ### LABELS_AXIS_LABELS_TEXTS_DEFAULT

    public static final String[] LABELS_AXIS_LABELS_TEXTS_DEFAULT
    The default is String[0].

  - ### LABELS_AXIS_TITLE_EXISTENCE_DEFAULT

    public static final boolean LABELS_AXIS_TITLE_EXISTENCE_DEFAULT
    The default is true.
    See Also:
      - Constant Field Values

  - ### LABELS_AXIS_TITLE_TEXT_DEFAULT

    public static final String LABELS_AXIS_TITLE_TEXT_DEFAULT
    The default is "".
    See Also:
      - Constant Field Values

  - ### LABELS_AXIS_TITLE_FONT_POINT_MODEL_DEFAULT

    public static final int LABELS_AXIS_TITLE_FONT_POINT_MODEL_DEFAULT
    The default is 11.
    See Also:
      - Constant Field Values

  - ### LABELS_AXIS_TITLE_FONT_NAME_DEFAULT

    public static final String LABELS_AXIS_TITLE_FONT_NAME_DEFAULT
    The default is "SansSerif".
    See Also:
      - Constant Field Values

  - ### LABELS_AXIS_TITLE_FONT_COLOR_DEFAULT

    public static final Color LABELS_AXIS_TITLE_FONT_COLOR_DEFAULT
    The default is Color.black.

  - ### LABELS_AXIS_TITLE_FONT_STYLE_DEFAULT

    public static final int LABELS_AXIS_TITLE_FONT_STYLE_DEFAULT
    The default is Font.PLAIN.
    See Also:
      - Constant Field Values

  - ### LABELS_AXIS_TITLE_BETWEEN_REST_GAP_EXISTENCE_DEFAULT

    public static final boolean LABELS_AXIS_TITLE_BETWEEN_REST_GAP_EXISTENCE_DEFAULT
    The default is true.
    See Also:
      - Constant Field Values

  - ### LABELS_AXIS_TITLE_BETWEEN_REST_GAP_THICKNESS_MODEL_DEFAULT

    public static final int LABELS_AXIS_TITLE_BETWEEN_REST_GAP_THICKNESS_MODEL_DEFAULT
    The default is 3.
    See Also:
      - Constant Field Values

  - ### LABELS_AXIS_TICKS_EXISTENCE_DEFAULT

    public static final boolean LABELS_AXIS_TICKS_EXISTENCE_DEFAULT
    The default is true.
    See Also:
      - Constant Field Values

  - ### LABELS_AXIS_TICKS_SIZE_MODEL_DEFAULT

    public static final Dimension LABELS_AXIS_TICKS_SIZE_MODEL_DEFAULT
    The default is Dimension (3, 3).

  - ### LABELS_AXIS_TICKS_COLOR_DEFAULT

    public static final Color LABELS_AXIS_TICKS_COLOR_DEFAULT
    The default is Color.black.

  - ### LABELS_AXIS_TICKS_OUTLINE_EXISTENCE_DEFAULT

    public static final boolean LABELS_AXIS_TICKS_OUTLINE_EXISTENCE_DEFAULT
    The default is false.
    See Also:
      - Constant Field Values

  - ### LABELS_AXIS_TICKS_OUTLINE_COLOR_DEFAULT

    public static final Color LABELS_AXIS_TICKS_OUTLINE_COLOR_DEFAULT
    The default is Color.black.

  - ### LABELS_AXIS_LABELS_FONT_POINT_MODEL_DEFAULT

    public static final int LABELS_AXIS_LABELS_FONT_POINT_MODEL_DEFAULT
    The default is 10.
    See Also:
      - Constant Field Values

  - ### LABELS_AXIS_LABELS_FONT_NAME_DEFAULT

    public static final String LABELS_AXIS_LABELS_FONT_NAME_DEFAULT
    The default is "SansSerif".
    See Also:
      - Constant Field Values

  - ### LABELS_AXIS_LABELS_FONT_COLOR_DEFAULT

    public static final Color LABELS_AXIS_LABELS_FONT_COLOR_DEFAULT
    The default is Color.black.

  - ### LABELS_AXIS_LABELS_FONT_STYLE_DEFAULT

    public static final int LABELS_AXIS_LABELS_FONT_STYLE_DEFAULT
    The default is Font.PLAIN.
    See Also:
      - Constant Field Values

  - ### LABELS_AXIS_BETWEEN_LABELS_OR_TICKS_GAP_EXISTENCE_DEFAULT

    public static final boolean LABELS_AXIS_BETWEEN_LABELS_OR_TICKS_GAP_EXISTENCE_DEFAULT
    The default is true.
    See Also:
      - Constant Field Values

  - ### LABELS_AXIS_BETWEEN_LABELS_OR_TICKS_GAP_THICKNESS_MODEL_DEFAULT

    public static final int LABELS_AXIS_BETWEEN_LABELS_OR_TICKS_GAP_THICKNESS_MODEL_DEFAULT
    The default is 3.
    See Also:
      - Constant Field Values

  - ### LABELS_AXIS_BETWEEN_LABELS_AND_TICKS_GAP_EXISTENCE_DEFAULT

    public static final boolean LABELS_AXIS_BETWEEN_LABELS_AND_TICKS_GAP_EXISTENCE_DEFAULT
    The default is true.
    See Also:
      - Constant Field Values

  - ### LABELS_AXIS_BETWEEN_LABELS_AND_TICKS_GAP_THICKNESS_MODEL_DEFAULT

    public static final int LABELS_AXIS_BETWEEN_LABELS_AND_TICKS_GAP_THICKNESS_MODEL_DEFAULT
    The default is 3.
    See Also:
      - Constant Field Values

  - ### NUMBERS_AXIS_TITLE_EXISTENCE_DEFAULT

    public static final boolean NUMBERS_AXIS_TITLE_EXISTENCE_DEFAULT
    The default is true.
    See Also:
      - Constant Field Values

  - ### NUMBERS_AXIS_TITLE_TEXT_DEFAULT

    public static final String NUMBERS_AXIS_TITLE_TEXT_DEFAULT
    The default is "".
    See Also:
      - Constant Field Values

  - ### NUMBERS_AXIS_TITLE_FONT_POINT_MODEL_DEFAULT

    public static final int NUMBERS_AXIS_TITLE_FONT_POINT_MODEL_DEFAULT
    The default is 11.
    See Also:
      - Constant Field Values

  - ### NUMBERS_AXIS_TITLE_FONT_NAME_DEFAULT

    public static final String NUMBERS_AXIS_TITLE_FONT_NAME_DEFAULT
    The default is "SansSerif".
    See Also:
      - Constant Field Values

  - ### NUMBERS_AXIS_TITLE_FONT_COLOR_DEFAULT

    public static final Color NUMBERS_AXIS_TITLE_FONT_COLOR_DEFAULT
    The default is Color.black.

  - ### NUMBERS_AXIS_TITLE_FONT_STYLE_DEFAULT

    public static final int NUMBERS_AXIS_TITLE_FONT_STYLE_DEFAULT
    The default is Font.PLAIN.
    See Also:
      - Constant Field Values

  - ### NUMBERS_AXIS_TITLE_BETWEEN_REST_GAP_EXISTENCE_DEFAULT

    public static final boolean NUMBERS_AXIS_TITLE_BETWEEN_REST_GAP_EXISTENCE_DEFAULT
    The default is true.
    See Also:
      - Constant Field Values

  - ### NUMBERS_AXIS_TITLE_BETWEEN_REST_GAP_THICKNESS_MODEL_DEFAULT

    public static final int NUMBERS_AXIS_TITLE_BETWEEN_REST_GAP_THICKNESS_MODEL_DEFAULT
    The default is 3.
    See Also:
      - Constant Field Values

  - ### NUMBERS_AXIS_TICKS_EXISTENCE_DEFAULT

    public static final boolean NUMBERS_AXIS_TICKS_EXISTENCE_DEFAULT
    The default is true.
    See Also:
      - Constant Field Values

  - ### NUMBERS_AXIS_TICKS_SIZE_MODEL_DEFAULT

    public static final Dimension NUMBERS_AXIS_TICKS_SIZE_MODEL_DEFAULT
    The default is Dimension (3, 3).

  - ### NUMBERS_AXIS_TICKS_COLOR_DEFAULT

    public static final Color NUMBERS_AXIS_TICKS_COLOR_DEFAULT
    The default is Color.black.

  - ### NUMBERS_AXIS_TICKS_OUTLINE_EXISTENCE_DEFAULT

    public static final boolean NUMBERS_AXIS_TICKS_OUTLINE_EXISTENCE_DEFAULT
    The default is false.
    See Also:
      - Constant Field Values

  - ### NUMBERS_AXIS_TICKS_OUTLINE_COLOR_DEFAULT

    public static final Color NUMBERS_AXIS_TICKS_OUTLINE_COLOR_DEFAULT
    The default is Color.black.

  - ### NUMBERS_AXIS_LABELS_FONT_POINT_MODEL_DEFAULT

    public static final int NUMBERS_AXIS_LABELS_FONT_POINT_MODEL_DEFAULT
    The default is 10.
    See Also:
      - Constant Field Values

  - ### NUMBERS_AXIS_LABELS_FONT_NAME_DEFAULT

    public static final String NUMBERS_AXIS_LABELS_FONT_NAME_DEFAULT
    The default is "SansSerif".
    See Also:
      - Constant Field Values

  - ### NUMBERS_AXIS_LABELS_FONT_COLOR_DEFAULT

    public static final Color NUMBERS_AXIS_LABELS_FONT_COLOR_DEFAULT
    The default is Color.black.

  - ### NUMBERS_AXIS_LABELS_FONT_STYLE_DEFAULT

    public static final int NUMBERS_AXIS_LABELS_FONT_STYLE_DEFAULT
    The default is Font.PLAIN.
    See Also:
      - Constant Field Values

  - ### NUMBERS_AXIS_BETWEEN_LABELS_OR_TICKS_GAP_EXISTENCE_DEFAULT

    public static final boolean NUMBERS_AXIS_BETWEEN_LABELS_OR_TICKS_GAP_EXISTENCE_DEFAULT
    The default is true.
    See Also:
      - Constant Field Values

  - ### NUMBERS_AXIS_BETWEEN_LABELS_OR_TICKS_GAP_THICKNESS_MODEL_DEFAULT

    public static final int NUMBERS_AXIS_BETWEEN_LABELS_OR_TICKS_GAP_THICKNESS_MODEL_DEFAULT
    The default is 3.
    See Also:
      - Constant Field Values

  - ### NUMBERS_AXIS_BETWEEN_LABELS_AND_TICKS_GAP_EXISTENCE_DEFAULT

    public static final boolean NUMBERS_AXIS_BETWEEN_LABELS_AND_TICKS_GAP_EXISTENCE_DEFAULT
    The default is true.
    See Also:
      - Constant Field Values

  - ### NUMBERS_AXIS_BETWEEN_LABELS_AND_TICKS_GAP_THICKNESS_MODEL_DEFAULT

    public static final int NUMBERS_AXIS_BETWEEN_LABELS_AND_TICKS_GAP_THICKNESS_MODEL_DEFAULT
    The default is 3.
    See Also:
      - Constant Field Values

  - ### GRAPH_COMPONENTS_COLORING_BY_CAT_DEFAULT

    public static final boolean GRAPH_COMPONENTS_COLORING_BY_CAT_DEFAULT
    The default is false.
    See Also:
      - Constant Field Values

  - ### GRAPH_COMPONENTS_COLORS_BY_CAT_DEFAULT

    public static final MultiColorsProperties GRAPH_COMPONENTS_COLORS_BY_CAT_DEFAULT
    The default is null.

- ## Constructor Details

  - ### GraphChart2DProperties

    public GraphChart2DProperties()
    Creates a GraphChart2DProperties object with the documented default values.

  - ### GraphChart2DProperties

    public GraphChart2DProperties(GraphChart2DProperties graphChart2DProps)
    Creates a GraphChart2DProperties object with property values copied from another object. The copying is a deep copy.
    Parameters:
      `graphChart2DProps` - The properties to copy.

- ## Method Details

  - ### setGraphChart2DPropertiesToDefaults

    public final void setGraphChart2DPropertiesToDefaults()
    Sets all properties to their default values.

  - ### setGraphChart2DProperties

    public final void setGraphChart2DProperties(GraphChart2DProperties graphChart2DProps)
    Sets all properties to be the values of another GraphChart2DProperties object. The copying is a deep copy.
    Parameters:
      `graphChart2DProps` - The GraphChart2DProperties to copy.

  - ### setChartDatasetCustomizeGreatestValue

    public final void setChartDatasetCustomizeGreatestValue(boolean customize)
    Sets whether the true greatest value in the data sets will be substituted by the custom value. This effects the range of the labels of the numbers axis.
    Parameters:
      `customize` - If true, the greatest value of the data will be customized.

  - ### setChartDatasetCustomGreatestValue

    public final void setChartDatasetCustomGreatestValue(float value)
    Sets the custom greatest value of the data sets. This value must be greater than or equal to the true greatest value of the data sets for it to be used. This effects the scale of the labels of the numbers axis.
    Parameters:
      `value` - The custom greatest value of the data sets.

  - ### setChartDatasetCustomizeLeastValue

    public final void setChartDatasetCustomizeLeastValue(boolean customize)
    Sets whether the true least value in the data sets will be substituted by the custom value. This effects the range of the labels of the numbers axis.
    Parameters:
      `customize` - If true, the least value of the data will be customized.

  - ### setChartDatasetCustomLeastValue

    public final void setChartDatasetCustomLeastValue(float value)
    Sets the custom least value of the data sets. This value must be less than or equal to the true least value of the data sets for it to be used. This effects the scale of the labels of the numbers axis.
    Parameters:
      `value` - The custom least value of the data sets.

  - ### setChartGraphableToAvailableRatio

    public final void setChartGraphableToAvailableRatio(float ratio)
    Sets how much of the chart's graph is used by the graph's components. This value must be: 0f invalid input: '<'= value invalid input: '<'= 1f. This effects the scale of the labels of the numbers axis.
    Parameters:
      `ratio` - The ratio of usable to available of the graph.

  - ### setLabelsAxisExistence

    public final void setLabelsAxisExistence(boolean existence)
    Sets the existence of the labels axis. If existence is false, then the labels axis won't be painted and the axis' texts won't need to be set.
    Parameters:
      `existence` - If true, then exists.

  - ### setLabelsAxisTicksAlignment

    public final void setLabelsAxisTicksAlignment(int alignment)
    Sets the placement of the ticks on the labels axis. The ticks may be either between the labels axis labels (ie for bar charts) or centered on each labels axis label (ie for other charts). The possible values are BETWEEN and CENTERED.
    Parameters:
      `alignment` - The alignment of the labels axis ticks.

  - ### setLabelsAxisLabelsTexts

    public final void setLabelsAxisLabelsTexts(String[] texts)
    Sets the text of each labels axis label. This determines how many categories the data in the data sets are split into.
    Parameters:
      `texts` - The texts of the labels axis labels.

  - ### setLabelsAxisTitleExistence

    public final void setLabelsAxisTitleExistence(boolean existence)
    Sets whether the title of the labels axis exists.
    Parameters:
      `existence` - If true, the title exists.

  - ### setLabelsAxisTitleText

    public final void setLabelsAxisTitleText(String text)
    Sets the text of the title of the labels axis.
    Parameters:
      `text` - The title of the labels axis.

  - ### setLabelsAxisTitleFontPointModel

    public final void setLabelsAxisTitleFontPointModel(int point)
    Sets the font point of the labels axis title for the chart's model size.
    Parameters:
      `point` - The model font point of the labels axis title.

  - ### setLabelsAxisTitleFontName

    public final void setLabelsAxisTitleFontName(String name)
    Sets the name of the font of the labels axis title. Accepts standard font names.
    Parameters:
      `name` - The name of the font of the labels axis title.

  - ### setLabelsAxisTitleFontColor

    public final void setLabelsAxisTitleFontColor(Color color)
    Sets the color of the font of the labels axis title.
    Parameters:
      `color` - The color of the font of the labels axis title.

  - ### setLabelsAxisTitleFontStyle

    public final void setLabelsAxisTitleFontStyle(int style)
    Sets the style of teh font of the labels axis title. Accepts standard values for font styles.
    Parameters:
      `style` - The style of the font of the labels axis title.

  - ### setLabelsAxisTitleBetweenRestGapExistence

    public final void setLabelsAxisTitleBetweenRestGapExistence(boolean existence)
    Sets whether the gap above the labels axis title exists.
    Parameters:
      `existence` - If true, the gap exists.

  - ### setLabelsAxisTitleBetweenRestGapThicknessModel

    public final void setLabelsAxisTitleBetweenRestGapThicknessModel(int thickness)
    Sets the thickness of the gap above the labels axis title for the chart's model size.
    Parameters:
      `thickness` - The model thickness of the gap.

  - ### setLabelsAxisTicksExistence

    public final void setLabelsAxisTicksExistence(boolean existence)
    Sets whether there exists ticks along the labels axis.
    Parameters:
      `existence` - If true, then they exist.

  - ### setLabelsAxisTicksSizeModel

    public final void setLabelsAxisTicksSizeModel(Dimension size)
    Sets the size of the labels axis ticks for the chart's model size.
    Parameters:
      `size` - The model size of the labels axis ticks.

  - ### setLabelsAxisTicksColor

    public final void setLabelsAxisTicksColor(Color color)
    Sets the color of the labels axis ticks.
    Parameters:
      `color` - The color of the labels axis ticks.

  - ### setLabelsAxisTicksOutlineExistence

    public final void setLabelsAxisTicksOutlineExistence(boolean existence)
    Sets whether a thin line outlines the labels axis ticks.
    Parameters:
      `existence` - If true, then a thin outline exists.

  - ### setLabelsAxisTicksOutlineColor

    public final void setLabelsAxisTicksOutlineColor(Color color)
    Sets the color of the thin line that outlines the labels axis ticks.
    Parameters:
      `color` - The color of the line that outlines the labels axis ticks.

  - ### setLabelsAxisLabelsFontPointModel

    public final void setLabelsAxisLabelsFontPointModel(int point)
    Sets the point of the font of the labels axis labels for the chart's model size.
    Parameters:
      `point` - The model font point of the labels axis labels.

  - ### setLabelsAxisLabelsFontName

    public final void setLabelsAxisLabelsFontName(String name)
    Sets the name of the font of the labels of the labels axis. Accepts standard font names.
    Parameters:
      `name` - The name of the font.

  - ### setLabelsAxisLabelsFontColor

    public final void setLabelsAxisLabelsFontColor(Color color)
    Sets the color of the font of the labels of the labels axis.
    Parameters:
      `color` - The color of the font.

  - ### setLabelsAxisLabelsFontStyle

    public final void setLabelsAxisLabelsFontStyle(int style)
    Sets the style of the font of the labels axis labels. Accepts standard font styles.
    Parameters:
      `style` - The style of the font.

  - ### setLabelsAxisBetweenLabelsOrTicksGapExistence

    public final void setLabelsAxisBetweenLabelsOrTicksGapExistence(boolean existence)
    Sets whether a gap between the labels or ticks exists, across. The gap will be applied to whichever are naturally closer.
    Parameters:
      `existence` - If true, the gap exists.

  - ### setLabelsAxisBetweenLabelsOrTicksGapThicknessModel

    public final void setLabelsAxisBetweenLabelsOrTicksGapThicknessModel(int thickness)
    Sets the thickness of the gap between the labels or ticks, across, for the chart's model size. The gap will be applied to whichever are naturally closer.
    Parameters:
      `thicknss` - The model thickness of the gap.

  - ### setLabelsAxisBetweenLabelsAndTicksGapExistence

    public final void setLabelsAxisBetweenLabelsAndTicksGapExistence(boolean existence)
    Sets whether a gap between the labels and ticks exists, between.
    Parameters:
      `existence` - If true, the gap exists.

  - ### setLabelsAxisBetweenLabelsAndTicksGapThicknessModel

    public final void setLabelsAxisBetweenLabelsAndTicksGapThicknessModel(int thickness)
    Sets the thickness of the gap between the labels and ticks, between, for the chart's model size.
    Parameters:
      `thickness` - The model thickness of the gap.

  - ### setNumbersAxisTitleExistence

    public final void setNumbersAxisTitleExistence(boolean existence)
    Sets whether the title of the numbers axis exists.
    Parameters:
      `existence` - If true, the title exists.

  - ### setNumbersAxisTitleText

    public final void setNumbersAxisTitleText(String text)
    Sets the text of the title of the numbers axis.
    Parameters:
      `text` - The title of the numbers axis.

  - ### setNumbersAxisTitleFontPointModel

    public final void setNumbersAxisTitleFontPointModel(int point)
    Sets the font point of the numbers axis title for the chart's model size.
    Parameters:
      `point` - The model font point of the numbers axis title.

  - ### setNumbersAxisTitleFontName

    public final void setNumbersAxisTitleFontName(String name)
    Sets the name of the font of the numbers axis title. Accepts standard font names.
    Parameters:
      `name` - The name of the font of the numbers axis title.

  - ### setNumbersAxisTitleFontColor

    public final void setNumbersAxisTitleFontColor(Color color)
    Sets the color of the font of the numbers axis title.
    Parameters:
      `color` - The color of the font of the numbers axis title.

  - ### setNumbersAxisTitleFontStyle

    public final void setNumbersAxisTitleFontStyle(int style)
    Sets the style of teh font of the numbers axis title. Accepts standard values for font styles.
    Parameters:
      `style` - The style of the font of the numbers axis title.

  - ### setNumbersAxisTitleBetweenRestGapExistence

    public final void setNumbersAxisTitleBetweenRestGapExistence(boolean existence)
    Sets whether the gap right of the numbers axis title exists.
    Parameters:
      `existence` - If true, the gap exists.

  - ### setNumbersAxisTitleBetweenRestGapThicknessModel

    public final void setNumbersAxisTitleBetweenRestGapThicknessModel(int thickness)
    Sets the thickness of the gap right of the numbers axis title for the chart's model size.
    Parameters:
      `thickness` - The model thickness of the gap.

  - ### setNumbersAxisTicksExistence

    public final void setNumbersAxisTicksExistence(boolean existence)
    Sets whether there exists ticks along the numbers axis.
    Parameters:
      `existence` - If true, then they exist.

  - ### setNumbersAxisTicksSizeModel

    public final void setNumbersAxisTicksSizeModel(Dimension size)
    Sets the size of the numbers axis ticks for the chart's model size.
    Parameters:
      `size` - The model size of the numbers axis ticks.

  - ### setNumbersAxisTicksColor

    public final void setNumbersAxisTicksColor(Color color)
    Sets the color of the numbers axis ticks.
    Parameters:
      `color` - The color of the numbers axis ticks.

  - ### setNumbersAxisTicksOutlineExistence

    public final void setNumbersAxisTicksOutlineExistence(boolean existence)
    Sets whether a thin line outlines the numbers axis ticks.
    Parameters:
      `existence` - If true, then a thin outline exists.

  - ### setNumbersAxisTicksOutlineColor

    public final void setNumbersAxisTicksOutlineColor(Color color)
    Sets the color of the thin line that outlines the numbers axis ticks.
    Parameters:
      `color` - The color of the line that outliens the numbers axis ticks.

  - ### setNumbersAxisNumLabels

    public final void setNumbersAxisNumLabels(int num)
    Sets the number of labels in the numbers axis.
    Parameters:
      `num` - The number of labels in the numbers axis.

  - ### setNumbersAxisLabelsFontPointModel

    public final void setNumbersAxisLabelsFontPointModel(int point)
    Sets the point of the font of the numbers axis labels for the chart's model size.
    Parameters:
      `point` - The model font point of the numbers axis labels.

  - ### setNumbersAxisLabelsFontName

    public final void setNumbersAxisLabelsFontName(String name)
    Sets the name of the font of the labels of the numbers axis. Accepts standard font names.
    Parameters:
      `name` - The name of the font.

  - ### setNumbersAxisLabelsFontColor

    public final void setNumbersAxisLabelsFontColor(Color color)
    Sets the color of the font of the labels of the numbers axis.
    Parameters:
      `color` - The color of the font.

  - ### setNumbersAxisLabelsFontStyle

    public final void setNumbersAxisLabelsFontStyle(int style)
    Sets the style of the font of the numbers axis labels. Accepts standard font styles.
    Parameters:
      `style` - The style of the font.

  - ### setNumbersAxisBetweenLabelsOrTicksGapExistence

    public final void setNumbersAxisBetweenLabelsOrTicksGapExistence(boolean existence)
    Sets whether a gap between the labels or ticks exists, vertically. The gap will be applied to whichever are naturally closer.
    Parameters:
      `existence` - If true, the gap exists.

  - ### setNumbersAxisBetweenLabelsOrTicksGapThicknessModel

    public final void setNumbersAxisBetweenLabelsOrTicksGapThicknessModel(int thickness)
    Sets the thickness of the gap between the labels or ticks, vertically, for the chart's model size. The gap will be applied to whichever are naturally closer.
    Parameters:
      `thicknss` - The model thickness of the gap.

  - ### setNumbersAxisBetweenLabelsAndTicksGapExistence

    public final void setNumbersAxisBetweenLabelsAndTicksGapExistence(boolean existence)
    Sets whether a gap between the labels and ticks exists, horizontally.
    Parameters:
      `existence` - If true, the gap exists.

  - ### setNumbersAxisBetweenLabelsAndTicksGapThicknessModel

    public final void setNumbersAxisBetweenLabelsAndTicksGapThicknessModel(int thickness)
    Sets the thickness of the gap between the labels and ticks, horizontally, for the chart's model size.
    Parameters:
      `thickness` - The model thickness of the gap.

  - ### setGraphComponentsColoringByCat

    public final void setGraphComponentsColoringByCat(boolean b)
    Sets whether the graph components have different colors across sets (or across cats).
    Parameters:
      `b` - If true, then colors across sets.

  - ### setGraphComponentsColorsByCat

    public final void setGraphComponentsColorsByCat(MultiColorsProperties props)
    Sets the color properties for the colors by cat coloring.
    Parameters:
      `props` - The properties of the colors by cat coloring.

  - ### getChartDatasetCustomizeGreatestValue

    public final boolean getChartDatasetCustomizeGreatestValue()
    Gets whether the true greatest value in the data sets will be substituted by the custom value. This effects the range of the labels of the numbers axis.
    Returns:
      boolean If true, the greatest value of the data will be customized.

  - ### getChartDatasetCustomGreatestValue

    public final float getChartDatasetCustomGreatestValue()
    Gets the custom greatest value of the data sets. This value must be greater than or equal to the true greatest value of the data sets for it to be used. This effects the scale of the labels of the numbers axis.
    Returns:
      float The custom greatest value of the data sets.

  - ### getChartDatasetCustomizeLeastValue

    public final boolean getChartDatasetCustomizeLeastValue()
    Gets whether the true least value in the data sets will be substituted by the custom value. This effects the range of the labels of the numbers axis.
    Returns:
      boolean If true, the least value of the data will be customized.

  - ### getChartDatasetCustomLeastValue

    public final float getChartDatasetCustomLeastValue()
    Gets the custom least value of the data sets. This value must be less than or equal to the true least value of the data sets for it to be used. This effects the scale of the labels of the numbers axis.
    Returns:
      float The custom least value of the data sets.

  - ### getChartGraphableToAvailableRatio

    public float getChartGraphableToAvailableRatio()
    Gets how much of the chart's graph is used by the graph's components. This value must be: 0f invalid input: '<'= value invalid input: '<'= 1f. This effects the scale of the labels of the numbers axis.
    Returns:
      float The ratio of usable to available of the graph.

  - ### getLabelsAxisExistence

    public final boolean getLabelsAxisExistence()
    Gets the existence of the labels axis. If existence is false, then the labels axis won't be painted and the axis' texts won't need to be set.
    Returns:
      If true, then exists.

  - ### getLabelsAxisTicksAlignment

    public final int getLabelsAxisTicksAlignment()
    Gets the placement of the ticks on the labels axis. The ticks may be either between the labels axis labels (ie for bar charts) or centered on each labels axis label (ie for other charts). The possible values are BETWEEN and CENTERED.
    Returns:
      int The alignment of the labels axis ticks.

  - ### getLabelsAxisLabelsTexts

    public final String[] getLabelsAxisLabelsTexts()
    Gets the text of each labels axis label. This determines how many categories the data in the data sets are split into.
    Returns:
      String[] The texts of the labels axis labels.

  - ### getLabelsAxisTitleExistence

    public final boolean getLabelsAxisTitleExistence()
    Gets whether the title of the labels axis exists.
    Returns:
      boolean If true, the title exists.

  - ### getLabelsAxisTitleText

    public final String getLabelsAxisTitleText()
    Gets the text of the title of the labels axis.
    Returns:
      String The title of the labels axis.

  - ### getLabelsAxisTitleFontPointModel

    public final int getLabelsAxisTitleFontPointModel()
    Gets the font point of the labels axis title for the chart's model size.
    Returns:
      int The model font point of the labels axis title.

  - ### getLabelsAxisTitleFontName

    public final String getLabelsAxisTitleFontName()
    Gets the name of the font of the labels axis title. Accepts standard font names.
    Returns:
      String The name of the font of the labels axis title.

  - ### getLabelsAxisTitleFontColor

    public final Color getLabelsAxisTitleFontColor()
    Gets the color of the font of the labels axis title.
    Returns:
      Color The color of the font of the labels axis title.

  - ### getLabelsAxisTitleFontStyle

    public final int getLabelsAxisTitleFontStyle()
    Gets the style of teh font of the labels axis title. Accepts standard values for font styles.
    Returns:
      int The style of the font of the labels axis title.

  - ### getLabelsAxisTitleBetweenRestGapExistence

    public final boolean getLabelsAxisTitleBetweenRestGapExistence()
    Gets whether the gap above the labels axis title exists.
    Returns:
      boolean If true, the gap exists.

  - ### getLabelsAxisTitleBetweenRestGapThicknessModel

    public final int getLabelsAxisTitleBetweenRestGapThicknessModel()
    Gets the thickness of the gap above the labels axis title for the chart's model size.
    Returns:
      int The model thickness of the gap.

  - ### getNumbersAxisTicksExistence

    public final boolean getNumbersAxisTicksExistence()
    Gets whether there exists ticks along the numbers axis.
    Returns:
      If true, then they exist.

  - ### getLabelsAxisTicksExistence

    public final boolean getLabelsAxisTicksExistence()
    Gets whether there exists ticks along the labels axis.
    Returns:
      If true, then they exist.

  - ### getLabelsAxisTicksSizeModel

    public final Dimension getLabelsAxisTicksSizeModel()
    Gets the size of the labels axis ticks for the chart's model size.
    Returns:
      Dimension The model size of the labels axis ticks.

  - ### getLabelsAxisTicksColor

    public final Color getLabelsAxisTicksColor()
    Gets the color of the labels axis ticks.
    Returns:
      Color The color of the labels axis ticks.

  - ### getLabelsAxisTicksOutlineExistence

    public final boolean getLabelsAxisTicksOutlineExistence()
    Gets whether a thin line outlines the labels axis ticks.
    Returns:
      boolean If true, then a thin outline exists.

  - ### getLabelsAxisTicksOutlineColor

    public final Color getLabelsAxisTicksOutlineColor()
    Gets the color of the thin line that outlines the labels axis ticks.
    Returns:
      Color The color of the line that outliens the labels axis ticks.

  - ### getLabelsAxisLabelsFontPointModel

    public final int getLabelsAxisLabelsFontPointModel()
    Gets the point of the font of the labels axis labels for the chart's model size.
    Returns:
      int The model font point of the labels axis labels.

  - ### getLabelsAxisLabelsFontName

    public final String getLabelsAxisLabelsFontName()
    Gets the name of the font of the labels of the labels axis. Accepts standard font names.
    Returns:
      String The name of the font.

  - ### getLabelsAxisLabelsFontColor

    public final Color getLabelsAxisLabelsFontColor()
    Gets the color of the font of the labels of the labels axis.
    Returns:
      Color The color of the font.

  - ### getLabelsAxisLabelsFontStyle

    public final int getLabelsAxisLabelsFontStyle()
    Gets the style of the font of the labels axis labels. Accepts standard font styles.
    Returns:
      int The style of the font.

  - ### getLabelsAxisBetweenLabelsOrTicksGapExistence

    public final boolean getLabelsAxisBetweenLabelsOrTicksGapExistence()
    Gets whether a gap between the labels or ticks exists, horizontally. The gap will be applied to whichever are naturally closer.
    Returns:
      boolean If true, the gap exists.

  - ### getLabelsAxisBetweenLabelsOrTicksGapThicknessModel

    public final int getLabelsAxisBetweenLabelsOrTicksGapThicknessModel()
    Gets the thickness of the gap between the labels or ticks, horizontally, for the chart's model size. The gap will be applied to whichever are naturally closer.
    Returns:
      int The model thickness of the gap.

  - ### getLabelsAxisBetweenLabelsAndTicksGapExistence

    public final boolean getLabelsAxisBetweenLabelsAndTicksGapExistence()
    Gets whether a gap between the labels and ticks exists, vertically.
    Returns:
      boolean If true, the gap exists.

  - ### getLabelsAxisBetweenLabelsAndTicksGapThicknessModel

    public final int getLabelsAxisBetweenLabelsAndTicksGapThicknessModel()
    Gets the thickness of the gap between the labels and ticks, vertically, for the chart's model size.
    Returns:
      int The model thickness of the gap.

  - ### getNumbersAxisTitleExistence

    public final boolean getNumbersAxisTitleExistence()
    Gets whether the title of the numbers axis exists.
    Returns:
      boolean If true, the title exists.

  - ### getNumbersAxisTitleText

    public final String getNumbersAxisTitleText()
    Gets the text of the title of the numbers axis.
    Returns:
      String The title of the numbers axis.

  - ### getNumbersAxisTitleFontPointModel

    public final int getNumbersAxisTitleFontPointModel()
    Gets the font point of the numbers axis title for the chart's model size.
    Returns:
      int The model font point of the numbers axis title.

  - ### getNumbersAxisTitleFontName

    public final String getNumbersAxisTitleFontName()
    Gets the name of the font of the numbers axis title. Accepts standard font names.
    Returns:
      String The name of the font of the numbers axis title.

  - ### getNumbersAxisTitleFontColor

    public final Color getNumbersAxisTitleFontColor()
    Gets the color of the font of the numbers axis title.
    Returns:
      Color The color of the font of the numbers axis title.

  - ### getNumbersAxisTitleFontStyle

    public final int getNumbersAxisTitleFontStyle()
    Gets the style of teh font of the numbers axis title. Accepts standard values for font styles.
    Returns:
      int The style of the font of the numbers axis title.

  - ### getNumbersAxisTitleBetweenRestGapExistence

    public final boolean getNumbersAxisTitleBetweenRestGapExistence()
    Gets whether the gap right of the numbers axis title exists.
    Returns:
      boolean If true, the gap exists.

  - ### getNumbersAxisTitleBetweenRestGapThicknessModel

    public final int getNumbersAxisTitleBetweenRestGapThicknessModel()
    Gets the thickness of the gap right of the numbers axis title for the chart's model size.
    Returns:
      int The model thickness of the gap.

  - ### getNumbersAxisTicksSizeModel

    public final Dimension getNumbersAxisTicksSizeModel()
    Gets the size of the numbers axis ticks for the chart's model size.
    Returns:
      Dimension The model size of the numbers axis ticks.

  - ### getNumbersAxisTicksColor

    public final Color getNumbersAxisTicksColor()
    Gets the color of the numbers axis ticks.
    Returns:
      Color The color of the numbers axis ticks.

  - ### getNumbersAxisTicksOutlineExistence

    public final boolean getNumbersAxisTicksOutlineExistence()
    Gets whether a thin line outlines the numbers axis ticks.
    Returns:
      boolean If true, then a thin outline exists.

  - ### getNumbersAxisTicksOutlineColor

    public final Color getNumbersAxisTicksOutlineColor()
    Gets the color of the thin line that outlines the numbers axis ticks.
    Returns:
      Color The color of the thin line that outliens the numbers axis ticks.

  - ### getNumbersAxisNumLabels

    public final int getNumbersAxisNumLabels()
    Gets the number of labels in the numbers axis.
    Returns:
      int The number of labels in the numbers axis.

  - ### getNumbersAxisLabelsFontPointModel

    public final int getNumbersAxisLabelsFontPointModel()
    Gets the point of the font of the numbers axis labels for the chart's model size.
    Returns:
      int The model font point of the numbers axis labels.

  - ### getNumbersAxisLabelsFontName

    public final String getNumbersAxisLabelsFontName()
    Gets the name of the font of the labels of the numbers axis. Accepts standard font names.
    Returns:
      String The name of the font.

  - ### getNumbersAxisLabelsFontColor

    public final Color getNumbersAxisLabelsFontColor()
    Gets the color of the font of the labels of the numbers axis.
    Returns:
      Color The color of the font.

  - ### getNumbersAxisLabelsFontStyle

    public final int getNumbersAxisLabelsFontStyle()
    Gets the style of the font of the numbers axis labels. Accepts standard font styles.
    Returns:
      int The style of the font.

  - ### getNumbersAxisBetweenLabelsOrTicksGapExistence

    public final boolean getNumbersAxisBetweenLabelsOrTicksGapExistence()
    Gets whether a gap between the labels or ticks exists, vertically. The gap will be applied to whichever are naturally closer.
    Returns:
      boolean If true, the gap exists.

  - ### getNumbersAxisBetweenLabelsOrTicksGapThicknessModel

    public final int getNumbersAxisBetweenLabelsOrTicksGapThicknessModel()
    Gets the thickness of the gap between the labels or ticks, vertically, for the chart's model size. The gap will be applied to whichever are naturally closer.
    Returns:
      int The model thickness of the gap.

  - ### getNumbersAxisBetweenLabelsAndTicksGapExistence

    public final boolean getNumbersAxisBetweenLabelsAndTicksGapExistence()
    Gets whether a gap between the labels and ticks exists, horizontally.
    Returns:
      boolean If true, the gap exists.

  - ### getNumbersAxisBetweenLabelsAndTicksGapThicknessModel

    public final int getNumbersAxisBetweenLabelsAndTicksGapThicknessModel()
    Gets the thickness of the gap between the labels and ticks, horizontally, for the chart's model size.
    Returns:
      int The model thickness of the gap.

  - ### getGraphComponentsColoringByCat

    public final boolean getGraphComponentsColoringByCat()
    Gets whether the graph components have different colors across sets (or across cats).
    Returns:
      If true, then colors across sets.

  - ### getGraphComponentsColorsByCat

    public final MultiColorsProperties getGraphComponentsColorsByCat()
    Sets the color properties for the colors by cat coloring.
    Returns:
      The properties of the colors by cat coloring.

  - ### isFontNameExists

    public final boolean isFontNameExists(String name)
    Returns true if the font name exists in the graphics enviornment.
    Parameters:
      `name` - The name of the font to determine the existence of.
    Returns:
      boolean If true, then the font name exists.